Subject: [Syslog] stuff I'm going to send to the WG

From: Chris Lonvick <[email-masked]>
Date: Tue, 16 Sep 2008 11:00:36 -0700 (PDT)

Hi,

Below is what I'm planning on sending to the WG to let them know that 
we're done.

===
Hi Folks,

I'm satisfied that we've had adequate review and discussion on the issues 
around draft-ietf-syslog-transport-tls.  Many thanks to those who reviewed 
and submitted their suggestions for making the text clearer and more 
accurate.

We've addressed the IESG issues of:
- changes requested for Section 5.2 for IDNs and matching
   http://www.ietf.org/mail-archive/web/syslog/current/msg02113.html
- Tim Polk's comment about a reference pointer
   http://www.ietf.org/mail-archive/web/syslog/current/msg02082.html (I
   never did get a "me too".)
- system v. registered port
   http://www.ietf.org/mail-archive/web/syslog/current/msg02070.html
   (Follow the thread.)
- the use of an IANA registry
   http://www.ietf.org/mail-archive/web/syslog/current/msg02082.html
and the GEN-ART review issues here:
   http://www.ietf.org/mail-archive/web/syslog/current/msg02063.html

===

I think that if you deal with these, we can wrap it up.  :-)

Thanks,
Chris
_______________________________________________
Syslog mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/syslog

---

From: Chris Lonvick <[email-masked]>
Date: Tue, 16 Sep 2008 11:05:56 -0700 (PDT)

Hi Folks,

Sorry - I jumped the gun on this.  Joe is working on the final changes to 
syslog-transport-tls to address the changes we've discussed since IESG and 
GEN-ART reviews and I meant to send this just to him.  Instead, I sent it 
to everyone I was planning on sending it to - my bad.  We're making sure 
that we're in synch on this before sending out notices that we've 
completed the work.

...umm, please delete this and wait for the really big announcement 
coming real soon.  :-)

Thanks,
Chris

---

From: "tom.petch" <[email-masked]>
Date: Mon, 29 Sep 2008 19:17:05 +0200

Chris, Joe

>From syslog-transport-tls-13

"When the client has received
   the close_notify alert from the server and still has pending data to
   send, it SHOULD send the pending data before sending the close_notify
   alert."

>From RFC4346

" The other party MUST respond with a close_notify
   alert of its own and close down the connection immediately,
   discarding any pending writes.  "

Tom Petch

---

From: "Joseph Salowey (jsalowey)" <[email-masked]>
Date: Mon, 29 Sep 2008 14:06:44 -0700

Same text is in RFC 5246.   Looks like we should delete the cited text
in syslog-transport-tls-13. 

Joe
> -----Original Message-----
> From: tom.petch [mailto:[email-masked]] 
> Sent: Monday, September 29, 2008 10:17 AM
> To: Chris Lonvick (clonvick); [email-masked]; Joseph Salowey 
> (jsalowey)
> Subject: oops?
> 
> Chris, Joe
>

---

From: Badra <[email-masked]>
Date: Mon, 29 Sep 2008 23:19:57 +0200

Hi Joe,

We are discussing the same issue on the Netconf mailing list and there are
two questions from:

[email-masked]
I wanna ask why immediately instead of sending pening writes before close
down the connection.

[email-masked]:
And I like to add whether it is normal practice that the TLS teardown
procedure is application protocol specific. RFC 5246 section 7.2.1 discusses
closure alerts in TLS 1.2 and I like to understand why we need additional
text for NETCONF over TLS. //or syslog-tls.
Best regards,
Badra

---

From: "Joseph Salowey (jsalowey)" <[email-masked]>
Date: Mon, 29 Sep 2008 19:43:41 -0700

In general TLS session tear down process is part of TLS and what happens
after TLS is torn down is part of the application.  The application also
describes application related conditions that result in the closure of
the session.  In this regard there probably is more text than necessary
in section 4.4 in syslog TLS.  

Joe

> From: Badra [mailto:[email-masked]] 
> Sent: Monday, September 29, 2008 2:20 PM
> To: Joseph Salowey (jsalowey)
> Cc: tom. petch; Chris Lonvick (clonvick); 
> [email-masked]; [email-masked]; 
> [email-masked]
> Subject: Re: [Syslog] oops?
> 
> Hi Joe,
>  
> We are discussing the same issue on the Netconf mailing list 
> and there are two questions from:
>  
> [email-masked]
> I wanna ask why immediately instead of sending pening writes 
> before close down the connection.
> 
> And I like to add whether it is normal practice that the TLS 
> teardown procedure is application protocol specific. RFC 5246 
> section 7.2.1 discusses closure alerts in TLS 1.2 and I like 
> to understand why we need additional text for NETCONF over 
> TLS. //or syslog-tls.
> 
> Best regards,
> Badra
> 
>  
> On Mon, Sep 29, 2008 at 11:06 PM, Joseph Salowey (jsalowey) 
> <[email-masked]> wrote:
> 
>